<?php

namespace Newage\Printnews;

use User;

class Printnews
{
    /**
     * $news_print object.
     */
    protected $news_print;

    /**
     * Constructor.
     */
    public function __construct(\Newage\Printnews\Interfaces\NewsPrintRepositoryInterface $news_print)
    {
        $this->news_print = $news_print;
    }

    /**
     * Returns count of printnews.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.news_print.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->news_print->pushCriteria(new \Litepie\Newage\Repositories\Criteria\NewsPrintUserCriteria());
        }

        $news_print = $this->news_print->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('printnews::' . $view, compact('news_print'))->render();
    }
}
