<?php

namespace Newage\Printnews\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class NewsPrintTransformer extends TransformerAbstract
{
    public function transform(\Newage\Printnews\Models\NewsPrint $news_print)
    {
        return [
            'id'                => $news_print->getRouteKey(),
            'key'               => [
                'public'    => $news_print->getPublicKey(),
                'route'     => $news_print->getRouteKey(),
            ], 
            'id'                => $news_print->id,
            'title'             => $news_print->title,
            'image'             => $news_print->image,
            'description'       => $news_print->description,
            'uploads'           => $news_print->uploads,
            'status'            => $news_print->status,
            'slug'              => $news_print->slug,
            'created_at'        => $news_print->created_at,
            'deleted_at'        => $news_print->deleted_at,
            'updated_at'        => $news_print->updated_at,
            'url'               => [
                'public'    => trans_url('printnews/'.$news_print->getPublicKey()),
                'user'      => guard_url('printnews/news_print/'.$news_print->getRouteKey()),
            ], 
            'status'            => trans('app.'.$news_print->status),
            'created_at'        => format_date($news_print->created_at),
            'updated_at'        => format_date($news_print->updated_at),
        ];
    }
}